(0.5.270) "override" not enforced?

If you have a class

class Foo {
   def bar() {println("You are here.")}
}

and another class:

class FooToo extends Foo {
   def bar() {println("You are not there.")}
}

Is there some reason why the plugin doesn't enforce the required
"override" in the subclass?

2 comments

Currently there is no such reason. Reason was because of too much wrong red code, but now we have error highlighting for non-implemented methods, so this looks strange not to have override highlighting.

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.